1. Packages
  2. Oracle Cloud Infrastructure
  3. API Docs
  4. Identity
  5. getDomainsIdentityProofingProviderTemplate
Viewing docs for Oracle Cloud Infrastructure v4.5.1
published on Friday, Apr 3, 2026 by Pulumi
oci logo
Viewing docs for Oracle Cloud Infrastructure v4.5.1
published on Friday, Apr 3, 2026 by Pulumi

    This data source provides details about a specific Identity Proofing Provider Template resource in Oracle Cloud Infrastructure Identity Domains service.

    Get Identity Proofing Provider Configuration template.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testIdentityProofingProviderTemplate = oci.Identity.getDomainsIdentityProofingProviderTemplate({
        idcsEndpoint: testDomain.url,
        identityProofingProviderTemplateId: testIdentityProofingProviderTemplateOciIdentityDomainsIdentityProofingProviderTemplate.id,
        attributeSets: ["all"],
        attributes: "",
        authorization: identityProofingProviderTemplateAuthorization,
        resourceTypeSchemaVersion: identityProofingProviderTemplateResourceTypeSchemaVersion,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_identity_proofing_provider_template = oci.Identity.get_domains_identity_proofing_provider_template(idcs_endpoint=test_domain["url"],
        identity_proofing_provider_template_id=test_identity_proofing_provider_template_oci_identity_domains_identity_proofing_provider_template["id"],
        attribute_sets=["all"],
        attributes="",
        authorization=identity_proofing_provider_template_authorization,
        resource_type_schema_version=identity_proofing_provider_template_resource_type_schema_version)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/identity"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := identity.GetDomainsIdentityProofingProviderTemplate(ctx, &identity.GetDomainsIdentityProofingProviderTemplateArgs{
    			IdcsEndpoint:                       testDomain.Url,
    			IdentityProofingProviderTemplateId: testIdentityProofingProviderTemplateOciIdentityDomainsIdentityProofingProviderTemplate.Id,
    			AttributeSets: []string{
    				"all",
    			},
    			Attributes:                pulumi.StringRef(""),
    			Authorization:             pulumi.StringRef(identityProofingProviderTemplateAuthorization),
    			ResourceTypeSchemaVersion: pulumi.StringRef(identityProofingProviderTemplateResourceTypeSchemaVersion),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testIdentityProofingProviderTemplate = Oci.Identity.GetDomainsIdentityProofingProviderTemplate.Invoke(new()
        {
            IdcsEndpoint = testDomain.Url,
            IdentityProofingProviderTemplateId = testIdentityProofingProviderTemplateOciIdentityDomainsIdentityProofingProviderTemplate.Id,
            AttributeSets = new[]
            {
                "all",
            },
            Attributes = "",
            Authorization = identityProofingProviderTemplateAuthorization,
            ResourceTypeSchemaVersion = identityProofingProviderTemplateResourceTypeSchemaVersion,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.Identity.IdentityFunctions;
    import com.pulumi.oci.Identity.inputs.GetDomainsIdentityProofingProviderTemplateArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testIdentityProofingProviderTemplate = IdentityFunctions.getDomainsIdentityProofingProviderTemplate(GetDomainsIdentityProofingProviderTemplateArgs.builder()
                .idcsEndpoint(testDomain.url())
                .identityProofingProviderTemplateId(testIdentityProofingProviderTemplateOciIdentityDomainsIdentityProofingProviderTemplate.id())
                .attributeSets("all")
                .attributes("")
                .authorization(identityProofingProviderTemplateAuthorization)
                .resourceTypeSchemaVersion(identityProofingProviderTemplateResourceTypeSchemaVersion)
                .build());
    
        }
    }
    
    variables:
      testIdentityProofingProviderTemplate:
        fn::invoke:
          function: oci:Identity:getDomainsIdentityProofingProviderTemplate
          arguments:
            idcsEndpoint: ${testDomain.url}
            identityProofingProviderTemplateId: ${testIdentityProofingProviderTemplateOciIdentityDomainsIdentityProofingProviderTemplate.id}
            attributeSets:
              - all
            attributes: ""
            authorization: ${identityProofingProviderTemplateAuthorization}
            resourceTypeSchemaVersion: ${identityProofingProviderTemplateResourceTypeSchemaVersion}
    

    Using getDomainsIdentityProofingProviderTemplate

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getDomainsIdentityProofingProviderTemplate(args: GetDomainsIdentityProofingProviderTemplateArgs, opts?: InvokeOptions): Promise<GetDomainsIdentityProofingProviderTemplateResult>
    function getDomainsIdentityProofingProviderTemplateOutput(args: GetDomainsIdentityProofingProviderTemplateOutputArgs, opts?: InvokeOptions): Output<GetDomainsIdentityProofingProviderTemplateResult>
    def get_domains_identity_proofing_provider_template(attribute_sets: Optional[Sequence[str]] = None,
                                                        attributes: Optional[str] = None,
                                                        authorization: Optional[str] = None,
                                                        idcs_endpoint: Optional[str] = None,
                                                        identity_proofing_provider_template_id: Optional[str] = None,
                                                        resource_type_schema_version: Optional[str] = None,
                                                        opts: Optional[InvokeOptions] = None) -> GetDomainsIdentityProofingProviderTemplateResult
    def get_domains_identity_proofing_provider_template_output(attribute_sets: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
                                                        attributes: Optional[pulumi.Input[str]] = None,
                                                        authorization: Optional[pulumi.Input[str]] = None,
                                                        idcs_endpoint: Optional[pulumi.Input[str]] = None,
                                                        identity_proofing_provider_template_id: Optional[pulumi.Input[str]] = None,
                                                        resource_type_schema_version: Optional[pulumi.Input[str]] = None,
                                                        opts: Optional[InvokeOptions] = None) -> Output[GetDomainsIdentityProofingProviderTemplateResult]
    func LookupDomainsIdentityProofingProviderTemplate(ctx *Context, args *LookupDomainsIdentityProofingProviderTemplateArgs, opts ...InvokeOption) (*LookupDomainsIdentityProofingProviderTemplateResult, error)
    func LookupDomainsIdentityProofingProviderTemplateOutput(ctx *Context, args *LookupDomainsIdentityProofingProviderTemplateOutputArgs, opts ...InvokeOption) LookupDomainsIdentityProofingProviderTemplateResultOutput

    > Note: This function is named LookupDomainsIdentityProofingProviderTemplate in the Go SDK.

    public static class GetDomainsIdentityProofingProviderTemplate 
    {
        public static Task<GetDomainsIdentityProofingProviderTemplateResult> InvokeAsync(GetDomainsIdentityProofingProviderTemplateArgs args, InvokeOptions? opts = null)
        public static Output<GetDomainsIdentityProofingProviderTemplateResult> Invoke(GetDomainsIdentityProofingProviderTemplateInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetDomainsIdentityProofingProviderTemplateResult> getDomainsIdentityProofingProviderTemplate(GetDomainsIdentityProofingProviderTemplateArgs args, InvokeOptions options)
    public static Output<GetDomainsIdentityProofingProviderTemplateResult> getDomainsIdentityProofingProviderTemplate(GetDomainsIdentityProofingProviderTemplateArgs args, InvokeOptions options)
    
    fn::invoke:
      function: oci:Identity/getDomainsIdentityProofingProviderTemplate:getDomainsIdentityProofingProviderTemplate
      arguments:
        # arguments dictionary

    The following arguments are supported:

    IdcsEndpoint string
    The basic endpoint for the identity domain
    IdentityProofingProviderTemplateId string
    ID of the resource.
    AttributeSets List<string>
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    Attributes string
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    Authorization string
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    ResourceTypeSchemaVersion string
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    IdcsEndpoint string
    The basic endpoint for the identity domain
    IdentityProofingProviderTemplateId string
    ID of the resource.
    AttributeSets []string
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    Attributes string
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    Authorization string
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    ResourceTypeSchemaVersion string
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    idcsEndpoint String
    The basic endpoint for the identity domain
    identityProofingProviderTemplateId String
    ID of the resource.
    attributeSets List<String>
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    attributes String
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    authorization String
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    resourceTypeSchemaVersion String
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    idcsEndpoint string
    The basic endpoint for the identity domain
    identityProofingProviderTemplateId string
    ID of the resource.
    attributeSets string[]
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    attributes string
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    authorization string
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    resourceTypeSchemaVersion string
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    idcs_endpoint str
    The basic endpoint for the identity domain
    identity_proofing_provider_template_id str
    ID of the resource.
    attribute_sets Sequence[str]
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    attributes str
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    authorization str
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    resource_type_schema_version str
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
    idcsEndpoint String
    The basic endpoint for the identity domain
    identityProofingProviderTemplateId String
    ID of the resource.
    attributeSets List<String>
    A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
    attributes String
    A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
    authorization String
    The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
    resourceTypeSchemaVersion String
    An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.

    getDomainsIdentityProofingProviderTemplate Result

    The following output properties are available:

    CompartmentOcid string
    Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
    Configurations List<GetDomainsIdentityProofingProviderTemplateConfiguration>
    Proofing Provider Configuration Template.
    DeleteInProgress bool
    A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
    DomainOcid string
    Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
    Id string
    Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
    IdcsCreatedBies List<GetDomainsIdentityProofingProviderTemplateIdcsCreatedBy>
    The User or App who created the Resource
    IdcsEndpoint string
    IdcsLastModifiedBies List<GetDomainsIdentityProofingProviderTemplateIdcsLastModifiedBy>
    The User or App who modified the Resource
    IdcsLastUpgradedInRelease string
    The release number when the resource was upgraded.
    IdcsLockedBies List<GetDomainsIdentityProofingProviderTemplateIdcsLockedBy>
    The User or App who locked the Resource.
    IdcsLockedOn string
    The most recent DateTime the resource was locked.
    IdcsLockedOperations List<string>
    Operations that are locked on the resource.
    IdcsPreventedOperations List<string>
    Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
    IdentityProofingProviderTemplateId string
    IdentityProofingProviderTemplateProvider string
    Name of the Identity Proofing Provider.
    Metas List<GetDomainsIdentityProofingProviderTemplateMeta>
    A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    Schemas List<string>
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    ServiceTypes List<string>
    Service type supported by the Identity Proofing Provider.
    TenancyOcid string
    Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
    VerificationUrl string
    verification URL.
    AttributeSets List<string>
    Attributes string
    Authorization string
    ResourceTypeSchemaVersion string
    CompartmentOcid string
    Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
    Configurations []GetDomainsIdentityProofingProviderTemplateConfiguration
    Proofing Provider Configuration Template.
    DeleteInProgress bool
    A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
    DomainOcid string
    Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
    Id string
    Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
    IdcsCreatedBies []GetDomainsIdentityProofingProviderTemplateIdcsCreatedBy
    The User or App who created the Resource
    IdcsEndpoint string
    IdcsLastModifiedBies []GetDomainsIdentityProofingProviderTemplateIdcsLastModifiedBy
    The User or App who modified the Resource
    IdcsLastUpgradedInRelease string
    The release number when the resource was upgraded.
    IdcsLockedBies []GetDomainsIdentityProofingProviderTemplateIdcsLockedBy
    The User or App who locked the Resource.
    IdcsLockedOn string
    The most recent DateTime the resource was locked.
    IdcsLockedOperations []string
    Operations that are locked on the resource.
    IdcsPreventedOperations []string
    Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
    IdentityProofingProviderTemplateId string
    IdentityProofingProviderTemplateProvider string
    Name of the Identity Proofing Provider.
    Metas []GetDomainsIdentityProofingProviderTemplateMeta
    A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    Schemas []string
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    ServiceTypes []string
    Service type supported by the Identity Proofing Provider.
    TenancyOcid string
    Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
    VerificationUrl string
    verification URL.
    AttributeSets []string
    Attributes string
    Authorization string
    ResourceTypeSchemaVersion string
    compartmentOcid String
    Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
    configurations List<GetDomainsProofingProviderTemplateConfiguration>
    Proofing Provider Configuration Template.
    deleteInProgress Boolean
    A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
    domainOcid String
    Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
    id String
    Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
    idcsCreatedBies List<GetDomainsProofingProviderTemplateIdcsCreatedBy>
    The User or App who created the Resource
    idcsEndpoint String
    idcsLastModifiedBies List<GetDomainsProofingProviderTemplateIdcsLastModifiedBy>
    The User or App who modified the Resource
    idcsLastUpgradedInRelease String
    The release number when the resource was upgraded.
    idcsLockedBies List<GetDomainsProofingProviderTemplateIdcsLockedBy>
    The User or App who locked the Resource.
    idcsLockedOn String
    The most recent DateTime the resource was locked.
    idcsLockedOperations List<String>
    Operations that are locked on the resource.
    idcsPreventedOperations List<String>
    Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
    identityProofingProviderTemplateId String
    identityProofingProviderTemplateProvider String
    Name of the Identity Proofing Provider.
    metas List<GetDomainsProofingProviderTemplateMeta>
    A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
    ocid String
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    schemas List<String>
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    serviceTypes List<String>
    Service type supported by the Identity Proofing Provider.
    tenancyOcid String
    Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
    verificationUrl String
    verification URL.
    attributeSets List<String>
    attributes String
    authorization String
    resourceTypeSchemaVersion String
    compartmentOcid string
    Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
    configurations GetDomainsIdentityProofingProviderTemplateConfiguration[]
    Proofing Provider Configuration Template.
    deleteInProgress boolean
    A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
    domainOcid string
    Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
    id string
    Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
    idcsCreatedBies GetDomainsIdentityProofingProviderTemplateIdcsCreatedBy[]
    The User or App who created the Resource
    idcsEndpoint string
    idcsLastModifiedBies GetDomainsIdentityProofingProviderTemplateIdcsLastModifiedBy[]
    The User or App who modified the Resource
    idcsLastUpgradedInRelease string
    The release number when the resource was upgraded.
    idcsLockedBies GetDomainsIdentityProofingProviderTemplateIdcsLockedBy[]
    The User or App who locked the Resource.
    idcsLockedOn string
    The most recent DateTime the resource was locked.
    idcsLockedOperations string[]
    Operations that are locked on the resource.
    idcsPreventedOperations string[]
    Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
    identityProofingProviderTemplateId string
    identityProofingProviderTemplateProvider string
    Name of the Identity Proofing Provider.
    metas GetDomainsIdentityProofingProviderTemplateMeta[]
    A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
    ocid string
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    schemas string[]
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    serviceTypes string[]
    Service type supported by the Identity Proofing Provider.
    tenancyOcid string
    Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
    verificationUrl string
    verification URL.
    attributeSets string[]
    attributes string
    authorization string
    resourceTypeSchemaVersion string
    compartment_ocid str
    Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
    configurations Sequence[GetDomainsIdentityProofingProviderTemplateConfiguration]
    Proofing Provider Configuration Template.
    delete_in_progress bool
    A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
    domain_ocid str
    Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
    id str
    Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
    idcs_created_bies Sequence[GetDomainsIdentityProofingProviderTemplateIdcsCreatedBy]
    The User or App who created the Resource
    idcs_endpoint str
    idcs_last_modified_bies Sequence[GetDomainsIdentityProofingProviderTemplateIdcsLastModifiedBy]
    The User or App who modified the Resource
    idcs_last_upgraded_in_release str
    The release number when the resource was upgraded.
    idcs_locked_bies Sequence[GetDomainsIdentityProofingProviderTemplateIdcsLockedBy]
    The User or App who locked the Resource.
    idcs_locked_on str
    The most recent DateTime the resource was locked.
    idcs_locked_operations Sequence[str]
    Operations that are locked on the resource.
    idcs_prevented_operations Sequence[str]
    Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
    identity_proofing_provider_template_id str
    identity_proofing_provider_template_provider str
    Name of the Identity Proofing Provider.
    metas Sequence[GetDomainsIdentityProofingProviderTemplateMeta]
    A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
    ocid str
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    schemas Sequence[str]
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    service_types Sequence[str]
    Service type supported by the Identity Proofing Provider.
    tenancy_ocid str
    Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
    verification_url str
    verification URL.
    attribute_sets Sequence[str]
    attributes str
    authorization str
    resource_type_schema_version str
    compartmentOcid String
    Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
    configurations List<Property Map>
    Proofing Provider Configuration Template.
    deleteInProgress Boolean
    A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
    domainOcid String
    Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
    id String
    Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
    idcsCreatedBies List<Property Map>
    The User or App who created the Resource
    idcsEndpoint String
    idcsLastModifiedBies List<Property Map>
    The User or App who modified the Resource
    idcsLastUpgradedInRelease String
    The release number when the resource was upgraded.
    idcsLockedBies List<Property Map>
    The User or App who locked the Resource.
    idcsLockedOn String
    The most recent DateTime the resource was locked.
    idcsLockedOperations List<String>
    Operations that are locked on the resource.
    idcsPreventedOperations List<String>
    Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
    identityProofingProviderTemplateId String
    identityProofingProviderTemplateProvider String
    Name of the Identity Proofing Provider.
    metas List<Property Map>
    A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
    ocid String
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    schemas List<String>
    REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
    serviceTypes List<String>
    Service type supported by the Identity Proofing Provider.
    tenancyOcid String
    Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
    verificationUrl String
    verification URL.
    attributeSets List<String>
    attributes String
    authorization String
    resourceTypeSchemaVersion String

    Supporting Types

    GetDomainsIdentityProofingProviderTemplateConfiguration

    Name string
    Name of the Identity Proofing Provider configuration.
    Sensitivity bool
    Sensitivity of the Identity Proofing configuration.
    Type string
    The type of resource, User or App, that locked this Resource.
    Name string
    Name of the Identity Proofing Provider configuration.
    Sensitivity bool
    Sensitivity of the Identity Proofing configuration.
    Type string
    The type of resource, User or App, that locked this Resource.
    name String
    Name of the Identity Proofing Provider configuration.
    sensitivity Boolean
    Sensitivity of the Identity Proofing configuration.
    type String
    The type of resource, User or App, that locked this Resource.
    name string
    Name of the Identity Proofing Provider configuration.
    sensitivity boolean
    Sensitivity of the Identity Proofing configuration.
    type string
    The type of resource, User or App, that locked this Resource.
    name str
    Name of the Identity Proofing Provider configuration.
    sensitivity bool
    Sensitivity of the Identity Proofing configuration.
    type str
    The type of resource, User or App, that locked this Resource.
    name String
    Name of the Identity Proofing Provider configuration.
    sensitivity Boolean
    Sensitivity of the Identity Proofing configuration.
    type String
    The type of resource, User or App, that locked this Resource.

    GetDomainsIdentityProofingProviderTemplateIdcsCreatedBy

    Display string
    The displayName of the User or App who locked this Resource.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    Ref string
    Type string
    The type of resource, User or App, that locked this Resource.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    Display string
    The displayName of the User or App who locked this Resource.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    Ref string
    Type string
    The type of resource, User or App, that locked this Resource.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display String
    The displayName of the User or App who locked this Resource.
    ocid String
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    ref String
    type String
    The type of resource, User or App, that locked this Resource.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display string
    The displayName of the User or App who locked this Resource.
    ocid string
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    ref string
    type string
    The type of resource, User or App, that locked this Resource.
    value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display str
    The displayName of the User or App who locked this Resource.
    ocid str
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    ref str
    type str
    The type of resource, User or App, that locked this Resource.
    value str
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display String
    The displayName of the User or App who locked this Resource.
    ocid String
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    ref String
    type String
    The type of resource, User or App, that locked this Resource.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.

    GetDomainsIdentityProofingProviderTemplateIdcsLastModifiedBy

    Display string
    The displayName of the User or App who locked this Resource.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    Ref string
    Type string
    The type of resource, User or App, that locked this Resource.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    Display string
    The displayName of the User or App who locked this Resource.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    Ref string
    Type string
    The type of resource, User or App, that locked this Resource.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display String
    The displayName of the User or App who locked this Resource.
    ocid String
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    ref String
    type String
    The type of resource, User or App, that locked this Resource.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display string
    The displayName of the User or App who locked this Resource.
    ocid string
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    ref string
    type string
    The type of resource, User or App, that locked this Resource.
    value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display str
    The displayName of the User or App who locked this Resource.
    ocid str
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    ref str
    type str
    The type of resource, User or App, that locked this Resource.
    value str
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    display String
    The displayName of the User or App who locked this Resource.
    ocid String
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    ref String
    type String
    The type of resource, User or App, that locked this Resource.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.

    GetDomainsIdentityProofingProviderTemplateIdcsLockedBy

    Display string
    The displayName of the User or App who locked this Resource.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    Type string
    The type of resource, User or App, that locked this Resource.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    _ref string
    The URI of the SCIM resource that represents the User or App who Locked this Resource.
    Display string
    The displayName of the User or App who locked this Resource.
    Ocid string
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    Type string
    The type of resource, User or App, that locked this Resource.
    Value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    _ref string
    The URI of the SCIM resource that represents the User or App who Locked this Resource.
    _ref String
    The URI of the SCIM resource that represents the User or App who Locked this Resource.
    display String
    The displayName of the User or App who locked this Resource.
    ocid String
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    type String
    The type of resource, User or App, that locked this Resource.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    _ref string
    The URI of the SCIM resource that represents the User or App who Locked this Resource.
    display string
    The displayName of the User or App who locked this Resource.
    ocid string
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    type string
    The type of resource, User or App, that locked this Resource.
    value string
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    _ref str
    The URI of the SCIM resource that represents the User or App who Locked this Resource.
    display str
    The displayName of the User or App who locked this Resource.
    ocid str
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    type str
    The type of resource, User or App, that locked this Resource.
    value str
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
    _ref String
    The URI of the SCIM resource that represents the User or App who Locked this Resource.
    display String
    The displayName of the User or App who locked this Resource.
    ocid String
    Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
    type String
    The type of resource, User or App, that locked this Resource.
    value String
    The ID of the SCIM resource that represents the User or App who LOCKED this Resource.

    GetDomainsIdentityProofingProviderTemplateMeta

    Created string
    The DateTime the Resource was added to the Service Provider
    LastModified string
    The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
    Location string
    The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
    ResourceType string
    Name of the resource type of the resource--for example, Users or Groups
    Version string
    The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
    Created string
    The DateTime the Resource was added to the Service Provider
    LastModified string
    The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
    Location string
    The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
    ResourceType string
    Name of the resource type of the resource--for example, Users or Groups
    Version string
    The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
    created String
    The DateTime the Resource was added to the Service Provider
    lastModified String
    The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
    location String
    The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
    resourceType String
    Name of the resource type of the resource--for example, Users or Groups
    version String
    The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
    created string
    The DateTime the Resource was added to the Service Provider
    lastModified string
    The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
    location string
    The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
    resourceType string
    Name of the resource type of the resource--for example, Users or Groups
    version string
    The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
    created str
    The DateTime the Resource was added to the Service Provider
    last_modified str
    The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
    location str
    The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
    resource_type str
    Name of the resource type of the resource--for example, Users or Groups
    version str
    The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
    created String
    The DateTime the Resource was added to the Service Provider
    lastModified String
    The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
    location String
    The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
    resourceType String
    Name of the resource type of the resource--for example, Users or Groups
    version String
    The version of the Resource being returned. This value must be the same as the ETag HTTP response header.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo
    Viewing docs for Oracle Cloud Infrastructure v4.5.1
    published on Friday, Apr 3, 2026 by Pulumi
      Try Pulumi Cloud free. Your team will thank you.